Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class CollectionUtils

    java.lang.Object
      com.ejie.r01f.util.CollectionUtils

public class CollectionUtils
extends java.lang.Object

Utilidades sobre colecciones

Constructor Summary
`CollectionUtils()` Constructor

Method Summary
`static java.util.Map` | `convertArrayIntoMap(java.lang.Object theArray, java.lang.String oidMemberName, boolean useAccessors)` Convierte un array en mapa indexado por el valor de un miembro del objeto
`static java.util.Map` | `convertListIntoMap(java.util.List theList, java.lang.String oidMemberName, boolean useAccessors)` Convierte una lista en mapa indexado por el valor de un miembro del objeto
`static java.util.List` | `convertObjectArrayIntoList(java.lang.Object[] inArray, java.lang.String listImplName)` Convierte un array de objetos en una lista
`static java.util.Map.Entry` | `getSingleElementFromMap(java.util.Map theMap)` Obtiene un elemento cualquiera de un mapa...
`static void` | `main(java.lang.String[] args)` Main Method
`static java.lang.Object[]` | `obtainArraysCommonElements(java.lang.Object[] arrays, java.util.Comparator comparatorImpl)` Obtiene los objetos comunes en varios arrays.
`static java.util.Collection[]` | `obtainChangesInMap(boolean strict, java.util.Map mapInState1, java.util.Map mapInState2)` Obtiene los cambios entre el estado 1 (inicial) de un mapa y su estado 2 (final)
`static java.util.Collection[]` | `obtainChangesInMap(java.util.Map mapInState1, java.util.Map mapInState2)` Obtiene los cambios entre el estado 1 (inicial) de un mapa y su estado 2 (final)
`static java.util.List` | `strArrayToList(java.lang.String[] strArray)` Convierte un Array de Strings en una Lista Aunque el método siguiente es mas general y engloba este, se va a dejar hasta la modificación de r01f

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtils

    public CollectionUtils()

  Constructor

Method Detail

### getSingleElementFromMap

    public static java.util.Map.Entry getSingleElementFromMap(java.util.Map theMap)

  Obtiene un elemento cualquiera de un mapa...

  Parameters:
    `theMap` - el mapa del que obtener el elemento
  Returns:
    un objeto `Map.Entry` o null si el mapa de entrada es nulo

### obtainArraysCommonElements

    public static java.lang.Object[] obtainArraysCommonElements(java.lang.Object[] arrays,
                                                                java.util.Comparator comparatorImpl)

       Obtiene los objetos comunes en varios arrays.
       Para comparar si dos objetos son iguales, hay que suministrar una clase que implement el
       interfaz Comparator y que se encarga de verificar la igualdad de los objetos
       de los arrays.

  Parameters:
    `arrays` - array de objetos, cada uno de cuyos elementos es a su vez un array de objetos
    `comparatorImpl` - un objeto que implementa el interfaz `Comparable`
  Returns:
    un array de objetos comunes o null si no hay objetos comunes

### strArrayToList

    public static java.util.List strArrayToList(java.lang.String[] strArray)

  Convierte un Array de Strings en una Lista Aunque el método siguiente es mas general y engloba este, se va a dejar hasta la modificación de r01f

  Parameters:
    `strArray` - un array de strings
  Returns:
    una lista compuesta a partir de un array de strings

### convertObjectArrayIntoList

    public static java.util.List convertObjectArrayIntoList(java.lang.Object[] inArray,
                                                            java.lang.String listImplName)
                                                     throws CollectionConverterException

  Convierte un array de objetos en una lista

  Parameters:
    `inArray` - El array a convertir en lista
    `listImplName` - El nombre completo (incluido paquete) de la implementación de la lista que se devuelve
  Returns:
    una lista compuesta a partir del array de objetos
  Throws:
    `CollectionConverterException` - si ocurre un error al convertir los objetos

### convertArrayIntoMap

    public static java.util.Map convertArrayIntoMap(java.lang.Object theArray,
                                                    java.lang.String oidMemberName,
                                                    boolean useAccessors)
                                             throws CollectionConverterException

  Convierte un array en mapa indexado por el valor de un miembro del objeto

  Parameters:
    `theArray` - Un objeto Object que es un array de objetos
    `oidMemberName` - El miembro de los objetos de la lista que hace de OID
    `useAccessors` - si hay que utilizar accessors para acceder al miembro
  Returns:
    El mapa
  Throws:
    `CollectionConverterException` - si hay algún error en la conversión

### convertListIntoMap

    public static java.util.Map convertListIntoMap(java.util.List theList,
                                                   java.lang.String oidMemberName,
                                                   boolean useAccessors)
                                            throws CollectionConverterException

  Convierte una lista en mapa indexado por el valor de un miembro del objeto

  Parameters:
    `theList` - La lista a convertir en mapa
    `oidMemberName` - El miembro de los objetos de la lista que hace de OID
    `useAccessors` - si hay que utilizar accessors para acceder al miembro
  Returns:
    El mapa
  Throws:
    `CollectionConverterException` - si hay algún error en la conversión

### obtainChangesInMap

    public static java.util.Collection[] obtainChangesInMap(java.util.Map mapInState1,
                                                            java.util.Map mapInState2)

  Obtiene los cambios entre el estado 1 (inicial) de un mapa y su estado 2 (final)

  Parameters:
    `mapInState1` - El mapa en el estado 1
    `mapInState2` - El mapa en el estado 2
  Returns:
    Devuelve un array con tres colecciones: - [0]: Elementos añadidos - [1]: Elementos borrados - [2]: Elementos ya existentes

### obtainChangesInMap

    public static java.util.Collection[] obtainChangesInMap(boolean strict,
                                                            java.util.Map mapInState1,
                                                            java.util.Map mapInState2)

  Obtiene los cambios entre el estado 1 (inicial) de un mapa y su estado 2 (final)

  Parameters:
    `strict` - Si es true, se comprueba que los objetos sean de la misma clase. En caso de que no lo sean lanza una excepcion
    `mapInState1` - El mapa en el estado 1
    `mapInState2` - El mapa en el estado 2
  Returns:
    Devuelve un array con tres colecciones: - [0]: Elementos añadidos - [1]: Elementos borrados - [2]: Elementos ya existentes

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD